
from base_class import BaseVariableFunction
from base_class import *

from base_library import BaseLibrary
old_print = print


def timestamped_print(*args, **kwargs):
    old_print(datetime.datetime.utcnow().replace(
        microsecond=0), *args, **kwargs)


print = timestamped_print
baseclass = BaseVariableFunction(__file__)



print('\n'*5)
print(f"{'{:<6}'.format('ENTER')} {baseclass.scriptfilename} ----------------NOTE-----------NOTE---------------")



df =  pd.read_excel( baseclass.dalao_merge_path / f"ori_merge.xlsx", dtype=object)
df= df.astype({
"eth":float,
"iscontract":int,
})

df =df[(df["eth"]>=1)&(df["eth"]<=300)&(df["iscontract"]==0)].reset_index(drop=True)

df.to_excel(baseclass.dalao_merge_path/"merge.xlsx",index=False)
print(f"{'{:<6}'.format('END')} {baseclass.scriptfilename} ----------------NOTE-----------NOTE---------------")

